# Register new template

To register new emails, developers should use the following code:

```php
public function register_emails( $yaymail_emails ) {
    $yaymail_emails->register( YourNewEmail::get_instance());
}

add_action( 'yaymail_register_emails', 'register_emails' );
```

This code attaches to the `yaymail_register_emails` action hook. It is used to register new email templates by passing the email instance.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yaycommerce.com/yaymail/developer-zone/api/register-templates/register-new-template.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
